public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Göktürk Yüksek" <gokturk@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/rng-tools/
Date: Mon, 30 Mar 2020 12:20:27 +0000 (UTC)	[thread overview]
Message-ID: <1585570802.bf80a37ff7efed60aa0eddd9f6aba2eaf350a416.gokturk@gentoo> (raw)

commit:     bf80a37ff7efed60aa0eddd9f6aba2eaf350a416
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 30 07:21:28 2020 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Mon Mar 30 12:20:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf80a37f

sys-apps/rng-tools: bump to 6.10

Package-Manager: Portage-2.3.69, Repoman-2.3.14
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 sys-apps/rng-tools/Manifest              |  1 +
 sys-apps/rng-tools/rng-tools-6.10.ebuild | 84 ++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/sys-apps/rng-tools/Manifest b/sys-apps/rng-tools/Manifest
index defbbc6ddc2..6331901d705 100644
--- a/sys-apps/rng-tools/Manifest
+++ b/sys-apps/rng-tools/Manifest
@@ -1,4 +1,5 @@
 DIST rng-tools-5.tar.gz 122182 BLAKE2B de7085d530e38de21a1c33792d67a72e0131b221082d690cdb299367b80b0a123c2976174aa3f895a4a2ab1216aacfaa8e09de485c85154dc4a5b8f960d05245 SHA512 58047c37cad4f5f1210b696e4dba122878f78e57d05d9cb822f79234240ecce31efd2d39061fea1eb5b2e81d48d8c3bf6b92d06451f1ce5d5db7117704e89c50
+DIST rng-tools-6.10.tar.gz 56806 BLAKE2B 6cce0579a47f638cd90b51ba5216712fe39bf92dd59b288691a5e9783d520212cfb62e875a7e8f85de7a932568fdf0287cbea6f4869c9616a4c9325a111b0243 SHA512 b72d8918f709989ebc70cb9ea9c8b3dabf53041b24bc3f3a6de1bea318861dfd6c1a6110bd750041dc4819406db4a2b28f5137af5f5d5f2beb666f607913b389
 DIST rng-tools-6.6.tar.gz 51468 BLAKE2B 47231c60d78a48ade07855dfe8a807d6c10b8e27dc662ff7d98cf232b50e6c32f24197291a813d6ed6d15325a33fe9683d82943109a80cac1d9e348fc30cb849 SHA512 00bbe7f817d8f228f357a79ca270c27c62c0e588a99cd76917ecb7e88dfb627028c66497a59c9918205f3551aaf631963c8fd6504cb4198ddf57f714204c21c4
 DIST rng-tools-6.7.tar.gz 52792 BLAKE2B 3789aa4c6e2f024dcaef6b9b51521e206d65500a94ab456db61dc45c69ac5e4849a1e74abbe0f7640827ffb4bb20675c1f639a5be852d21d0d1a3c6b2e96bb5e SHA512 2f09edacb5448087041257326faf570c303b42f90bb695a1999b2c7543f20a28b15cdf705a2eca55cae8e9cf9fb5205c056fc26cfaf6af958bcda2cde1952b4d
 DIST rng-tools-6.8.tar.gz 53769 BLAKE2B 2a10a5639c5b1f4506b2c2cfb0185d16b5b604bd8aae72ca616b121f2e7624ff1ba00eb32daa3626b00d89f106356924bde511e263ab8978ff764757b44588ea SHA512 8fa47c2f0f8ebe6ac13025fa2c74505528b503c4e126c5d02b939797d6d4a8c9fc2b345353e48e497e32c1620a0821431e70752a9eb8ecb71960f16713696b62

diff --git a/sys-apps/rng-tools/rng-tools-6.10.ebuild b/sys-apps/rng-tools/rng-tools-6.10.ebuild
new file mode 100644
index 00000000000..fa2eda1a941
--- /dev/null
+++ b/sys-apps/rng-tools/rng-tools-6.10.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Daemon to use hardware random number generators"
+HOMEPAGE="https://github.com/nhorman/rng-tools"
+SRC_URI="https://github.com/nhorman/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~x86"
+IUSE="jitterentropy nistbeacon pkcs11 selinux"
+
+DEPEND="
+	dev-libs/openssl:0=
+	sys-fs/sysfsutils
+	jitterentropy? (
+		app-crypt/jitterentropy:=
+	)
+	nistbeacon? (
+		dev-libs/jansson
+		dev-libs/libxml2:2=
+		net-misc/curl[ssl]
+	)
+	pkcs11? (
+		dev-libs/libp11:=
+	)
+	elibc_musl? ( sys-libs/argp-standalone )
+"
+RDEPEND="${DEPEND}
+	selinux? ( sec-policy/selinux-rngd )"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	echo 'bin_PROGRAMS = randstat' >> contrib/Makefile.am || die
+
+	default
+
+	mv README.md README || die
+
+	eautoreconf
+
+	sed -i '/^AR /d' Makefile.in || die
+	tc-export AR
+}
+
+src_configure() {
+	local myeconfargs=(
+		$(use_enable jitterentropy)
+		$(use_with nistbeacon)
+		$(use_with pkcs11)
+		--without-rtlsdr # no librtlsdr in the tree
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	newinitd "${FILESDIR}"/rngd-initd-6.7-r1 rngd
+	newconfd "${FILESDIR}"/rngd-confd-6.7 rngd
+	systemd_dounit "${FILESDIR}"/rngd.service
+
+	if use pkcs11; then
+		local DISABLE_AUTOFORMATTING=1
+		local DOC_CONTENTS="
+The PKCS11 entropy source may require extra packages (e.g. 'dev-libs/opensc')
+to support various smartcard readers. Make sure 'PKCS11_OPTIONS' in:
+	'${EROOT%/}/etc/conf.d/rngd'
+reflects the correct PKCS11 engine path to be used by rngd.
+"
+		readme.gentoo_create_doc
+	fi
+
+}
+
+pkg_postinst() {
+	use pkcs11 && readme.gentoo_print_elog
+}


             reply	other threads:[~2020-03-30 12:20 UTC|newest]

Thread overview: 109+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-30 12:20 Göktürk Yüksek [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  0:06 [gentoo-commits] repo/gentoo:master commit in: sys-apps/rng-tools/ Jakov Smolić
2024-10-05 14:36 Arthur Zamarin
2024-10-05 12:58 Arthur Zamarin
2024-10-05 12:02 Arthur Zamarin
2024-10-05 11:48 Arthur Zamarin
2024-08-29  1:55 Sam James
2024-05-25  7:35 Sam James
2024-03-13 17:18 Arthur Zamarin
2024-03-10  5:08 Ionen Wolkens
2024-03-10  5:08 Ionen Wolkens
2024-02-18 20:02 Arthur Zamarin
2024-02-18 20:02 Arthur Zamarin
2024-02-18 20:02 Arthur Zamarin
2024-01-08  3:49 Göktürk Yüksek
2023-12-14  4:15 Sam James
2023-12-14  4:15 Sam James
2023-12-14  4:15 Sam James
2023-12-14  4:15 Sam James
2023-12-13  8:06 Florian Schmaus
2023-03-16 14:04 Arthur Zamarin
2023-02-20 20:10 Arthur Zamarin
2023-02-12  6:22 Sam James
2023-01-10 15:05 Sam James
2022-06-21  9:41 David Seifert
2022-05-19 13:36 Agostino Sarubbo
2022-05-19  9:29 Agostino Sarubbo
2022-05-17  9:24 Agostino Sarubbo
2022-05-17  9:21 Agostino Sarubbo
2022-05-17  9:18 Agostino Sarubbo
2022-05-11 14:50 Agostino Sarubbo
2022-02-14  2:07 Sam James
2021-10-03 11:28 David Seifert
2021-10-02 15:43 Sam James
2021-09-25 19:08 Sam James
2021-09-21 16:35 Sam James
2021-09-20  0:27 Sam James
2021-09-19  6:39 Agostino Sarubbo
2021-09-18 19:51 Sam James
2021-09-18 17:18 Sam James
2021-09-04 17:35 David Seifert
2021-08-17 10:23 Marek Szuba
2021-08-16  2:43 Sam James
2021-07-27  3:16 Sam James
2021-07-26 11:17 Sam James
2021-07-25 20:09 Sam James
2021-07-23 17:58 Sam James
2021-07-23 17:58 Sam James
2021-06-14  9:19 David Seifert
2021-05-13 22:32 David Seifert
2021-05-13 21:17 Sam James
2021-05-13 18:58 Sam James
2021-05-13 18:56 Sam James
2021-05-13 17:52 Sam James
2021-05-13 16:54 Sam James
2021-05-13 16:28 Sam James
2021-05-12  6:25 Matt Turner
2021-05-01 10:14 Mikle Kolyada
2021-04-04 18:31 Mike Gilbert
2021-02-01 15:01 Thomas Deutschmann
2020-12-10  2:13 Matt Turner
2020-10-06 13:43 Sam James
2020-10-05 18:27 Göktürk Yüksek
2020-10-04 16:59 Sam James
2020-09-30  1:49 Sam James
2020-09-26 10:06 Sergei Trofimovich
2020-09-26  9:18 Sergei Trofimovich
2020-09-25  8:46 Agostino Sarubbo
2020-06-04  6:33 Matt Turner
2020-04-05 20:06 Mart Raudsepp
2020-04-05 10:25 Mart Raudsepp
2020-04-05  9:35 Mart Raudsepp
2020-03-31 10:01 Agostino Sarubbo
2020-03-31 10:01 Agostino Sarubbo
2020-03-31 10:00 Agostino Sarubbo
2020-03-31  8:36 Mikle Kolyada
2020-03-31  7:18 Agostino Sarubbo
2019-12-19 22:48 Göktürk Yüksek
2019-11-14 11:55 Agostino Sarubbo
2019-11-13  7:39 Agostino Sarubbo
2019-11-12 15:08 Agostino Sarubbo
2019-11-08  0:24 Göktürk Yüksek
2019-11-04  9:22 Agostino Sarubbo
2019-11-03 13:40 Mikle Kolyada
2019-11-03  9:13 Piotr Karbowski
2019-08-08 16:01 Matt Turner
2019-08-06 17:50 Matt Turner
2019-06-04 18:48 Göktürk Yüksek
2019-04-21  3:26 Anthony G. Basile
2019-02-27 19:31 Anthony G. Basile
2018-11-07 22:47 Göktürk Yüksek
2018-07-16 22:54 Göktürk Yüksek
2018-05-16 19:46 Göktürk Yüksek
2017-10-10 20:01 Göktürk Yüksek
2017-10-10 20:01 Göktürk Yüksek
2016-05-29 14:19 Pacho Ramos
2016-05-22 17:09 Göktürk Yüksek
2016-04-23 18:13 Patrice Clement
2016-04-23  7:59 Patrice Clement
2015-11-23  9:25 Agostino Sarubbo
2015-11-07 23:45 Mikle Kolyada
2015-11-03 19:13 Markus Meier
2015-10-30 10:15 Agostino Sarubbo
2015-10-25 11:00 Mikle Kolyada
2015-10-05 17:05 Michał Górny
2015-10-05 17:05 Michał Górny
2015-09-25 14:43 Agostino Sarubbo
2015-09-24 13:19 Agostino Sarubbo
2015-08-10 18:29 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1585570802.bf80a37ff7efed60aa0eddd9f6aba2eaf350a416.gokturk@gentoo \
    --to=gokturk@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox